<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::speechSynthesizer::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html">speechSynthesizer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::speechSynthesizer::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_attachment_manager.html">MockAttachmentManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8b4516c2f4f5bf87ac928c79553f3986"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a8b4516c2f4f5bf87ac928c79553f3986">WAIT_TIMEOUT</a> (1000)</td></tr>
<tr class="memdesc:a8b4516c2f4f5bf87ac928c79553f3986"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plenty of time for a test to complete.  <a href="#a8b4516c2f4f5bf87ac928c79553f3986">More...</a><br /></td></tr>
<tr class="separator:a8b4516c2f4f5bf87ac928c79553f3986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e1a0ab24e955016598f3a326b727191"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9e1a0ab24e955016598f3a326b727191">STATE_CHANGE_TIMEOUT</a> (10000)</td></tr>
<tr class="separator:a9e1a0ab24e955016598f3a326b727191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f786e4fc5733e5c073fd399eab06b4b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a7f786e4fc5733e5c073fd399eab06b4b">CHANNEL_NAME</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#ad394dd6b26126ab84a82a1ef864f8ddf">avsCommon::sdkInterfaces::FocusManagerInterface::DIALOG_CHANNEL_NAME</a>)</td></tr>
<tr class="memdesc:a7f786e4fc5733e5c073fd399eab06b4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the <code>FocusManager</code> channel used by the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code>.  <a href="#a7f786e4fc5733e5c073fd399eab06b4b">More...</a><br /></td></tr>
<tr class="separator:a7f786e4fc5733e5c073fd399eab06b4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b24ffa4608d8364b1c28d525d848ffc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9b24ffa4608d8364b1c28d525d848ffc">NAMESPACE_SPEECH_SYNTHESIZER</a> (&quot;SpeechSynthesizer&quot;)</td></tr>
<tr class="memdesc:a9b24ffa4608d8364b1c28d525d848ffc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Namespace for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a>.  <a href="#a9b24ffa4608d8364b1c28d525d848ffc">More...</a><br /></td></tr>
<tr class="separator:a9b24ffa4608d8364b1c28d525d848ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa8c3acb43d5abaa4caf35379f048522"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#aaa8c3acb43d5abaa4caf35379f048522">NAME_SPEAK</a> (&quot;Speak&quot;)</td></tr>
<tr class="memdesc:aaa8c3acb43d5abaa4caf35379f048522"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> directive.  <a href="#aaa8c3acb43d5abaa4caf35379f048522">More...</a><br /></td></tr>
<tr class="separator:aaa8c3acb43d5abaa4caf35379f048522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae9cf2197f6e01cc69d5781c37b43ccc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#aae9cf2197f6e01cc69d5781c37b43ccc">NAME_RECOGNIZE</a> (&quot;Recognize&quot;)</td></tr>
<tr class="memdesc:aae9cf2197f6e01cc69d5781c37b43ccc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrong name for testing.  <a href="#aae9cf2197f6e01cc69d5781c37b43ccc">More...</a><br /></td></tr>
<tr class="separator:aae9cf2197f6e01cc69d5781c37b43ccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4306539df699d5c39d20a9a7535e601f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a4306539df699d5c39d20a9a7535e601f">MESSAGE_ID_TEST</a> (&quot;MessageId_Test&quot;)</td></tr>
<tr class="memdesc:a4306539df699d5c39d20a9a7535e601f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message Id for testing.  <a href="#a4306539df699d5c39d20a9a7535e601f">More...</a><br /></td></tr>
<tr class="separator:a4306539df699d5c39d20a9a7535e601f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca0defdb5af54f050d227057ee9753bb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#aca0defdb5af54f050d227057ee9753bb">MESSAGE_ID_TEST_2</a> (&quot;MessageId_Test_2&quot;)</td></tr>
<tr class="memdesc:aca0defdb5af54f050d227057ee9753bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message Id for testing.  <a href="#aca0defdb5af54f050d227057ee9753bb">More...</a><br /></td></tr>
<tr class="separator:aca0defdb5af54f050d227057ee9753bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75b4dfb1c1df228ccb3f90bc49c3981c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a75b4dfb1c1df228ccb3f90bc49c3981c">DIALOG_REQUEST_ID_TEST</a> (&quot;DialogRequestId_Test&quot;)</td></tr>
<tr class="memdesc:a75b4dfb1c1df228ccb3f90bc49c3981c"><td class="mdescLeft">&#160;</td><td class="mdescRight">DialogRequestId for testing.  <a href="#a75b4dfb1c1df228ccb3f90bc49c3981c">More...</a><br /></td></tr>
<tr class="separator:a75b4dfb1c1df228ccb3f90bc49c3981c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6994ffd5a70c55af342188de386f00a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ad6994ffd5a70c55af342188de386f00a">TOKEN_TEST</a> (&quot;Token_Test&quot;)</td></tr>
<tr class="memdesc:ad6994ffd5a70c55af342188de386f00a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Token for testing.  <a href="#ad6994ffd5a70c55af342188de386f00a">More...</a><br /></td></tr>
<tr class="separator:ad6994ffd5a70c55af342188de386f00a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab35ceb58258872f3a64cec4ad58486eb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ab35ceb58258872f3a64cec4ad58486eb">FORMAT_TEST</a> (&quot;AUDIO_MPEG&quot;)</td></tr>
<tr class="memdesc:ab35ceb58258872f3a64cec4ad58486eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Format of the audio.  <a href="#ab35ceb58258872f3a64cec4ad58486eb">More...</a><br /></td></tr>
<tr class="separator:ab35ceb58258872f3a64cec4ad58486eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8783f6c7b8764d80e17151fa78742b43"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a8783f6c7b8764d80e17151fa78742b43">URL_TEST</a> (&quot;cid:Test&quot;)</td></tr>
<tr class="memdesc:a8783f6c7b8764d80e17151fa78742b43"><td class="mdescLeft">&#160;</td><td class="mdescRight">URL for testing.  <a href="#a8783f6c7b8764d80e17151fa78742b43">More...</a><br /></td></tr>
<tr class="separator:a8783f6c7b8764d80e17151fa78742b43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca17bc25ce7a0af9079a5538d89ff08b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#aca17bc25ce7a0af9079a5538d89ff08b">CONTEXT_ID_TEST</a> (&quot;ContextId_Test&quot;)</td></tr>
<tr class="memdesc:aca17bc25ce7a0af9079a5538d89ff08b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context ID for testing.  <a href="#aca17bc25ce7a0af9079a5538d89ff08b">More...</a><br /></td></tr>
<tr class="separator:aca17bc25ce7a0af9079a5538d89ff08b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75b78471f3c184e1f68d7d6f04442423"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a75b78471f3c184e1f68d7d6f04442423">CONTEXT_ID_TEST_2</a> (&quot;ContextId_Test_2&quot;)</td></tr>
<tr class="memdesc:a75b78471f3c184e1f68d7d6f04442423"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context ID for testing.  <a href="#a75b78471f3c184e1f68d7d6f04442423">More...</a><br /></td></tr>
<tr class="separator:a75b78471f3c184e1f68d7d6f04442423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c7a8ba186995f3e5d4475e6dca4d881"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3c7a8ba186995f3e5d4475e6dca4d881">FINISHED_STATE</a> (&quot;FINISHED&quot;)</td></tr>
<tr class="memdesc:a3c7a8ba186995f3e5d4475e6dca4d881"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>FINISHED</code> state of the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code>.  <a href="#a3c7a8ba186995f3e5d4475e6dca4d881">More...</a><br /></td></tr>
<tr class="separator:a3c7a8ba186995f3e5d4475e6dca4d881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c4aa7f6f05d10948623ffe6b32a529d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a0c4aa7f6f05d10948623ffe6b32a529d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_callingHandleImmediately)</td></tr>
<tr class="separator:a0c4aa7f6f05d10948623ffe6b32a529d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae635c458bfb2ee68440ad72e87d0e34"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#aae635c458bfb2ee68440ad72e87d0e34">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_callingHandle)</td></tr>
<tr class="separator:aae635c458bfb2ee68440ad72e87d0e34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac98a76b736962d46b414daac7c30afba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ac98a76b736962d46b414daac7c30afba">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_callingCancel)</td></tr>
<tr class="separator:ac98a76b736962d46b414daac7c30afba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3df8b34a70d305be684f22cb4f19e5e4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3df8b34a70d305be684f22cb4f19e5e4">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_callingCancelAfterHandle)</td></tr>
<tr class="separator:a3df8b34a70d305be684f22cb4f19e5e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb2eafeb0675f2caff5da3d2cdbed44b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#adb2eafeb0675f2caff5da3d2cdbed44b">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_callingProvideStateWhenNotPlaying)</td></tr>
<tr class="separator:adb2eafeb0675f2caff5da3d2cdbed44b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a354478f832a3682d0f63407ebf6ab045"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a354478f832a3682d0f63407ebf6ab045">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_callingProvideStateWhenPlaying)</td></tr>
<tr class="separator:a354478f832a3682d0f63407ebf6ab045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe78ce371e1ac080f0b07568671bb55"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#acbe78ce371e1ac080f0b07568671bb55">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, testTimer_bargeInWhilePlaying)</td></tr>
<tr class="separator:acbe78ce371e1ac080f0b07568671bb55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a11ec19dc01e742212f2246cd9096e3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3a11ec19dc01e742212f2246cd9096e3">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, testTimer_notCallStopTwice)</td></tr>
<tr class="separator:a3a11ec19dc01e742212f2246cd9096e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa96e79fb312404f71a27fc55504b4f3a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#aa96e79fb312404f71a27fc55504b4f3a">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, testSlow_callingCancelBeforeOnFocusChanged)</td></tr>
<tr class="separator:aa96e79fb312404f71a27fc55504b4f3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fc48c05285a52ec94389bb8fb35c63a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a4fc48c05285a52ec94389bb8fb35c63a">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_callingCancelBeforeOnExecuteStateChanged)</td></tr>
<tr class="separator:a4fc48c05285a52ec94389bb8fb35c63a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c19600fab572e161c6d2b4e0004e9cb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a6c19600fab572e161c6d2b4e0004e9cb">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_mediaPlayerFailedToStop)</td></tr>
<tr class="separator:a6c19600fab572e161c6d2b4e0004e9cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a666d7e52d4090654fe2fbbffe23a170c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a666d7e52d4090654fe2fbbffe23a170c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_mediaPlayerAlwaysFailToStop)</td></tr>
<tr class="separator:a666d7e52d4090654fe2fbbffe23a170c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6277735b8cd52306b054ebaa82784041"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a6277735b8cd52306b054ebaa82784041">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, testSlow_setStateTimeout)</td></tr>
<tr class="separator:a6277735b8cd52306b054ebaa82784041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a253e875d823b749721331ebb146837f2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a253e875d823b749721331ebb146837f2">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_givenPlayingStateFocusBecomesNone)</td></tr>
<tr class="separator:a253e875d823b749721331ebb146837f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30a06563833c31e236f99e9037d03e21"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a30a06563833c31e236f99e9037d03e21">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>, test_onPlayedStopped)</td></tr>
<tr class="separator:a30a06563833c31e236f99e9037d03e21"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1414b3f5094d108ae929afdb26d12838"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a1414b3f5094d108ae929afdb26d12838">NAMESPACE_AND_NAME_SPEECH_STATE</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9b24ffa4608d8364b1c28d525d848ffc">NAMESPACE_SPEECH_SYNTHESIZER</a>, &quot;SpeechState&quot;}</td></tr>
<tr class="memdesc:a1414b3f5094d108ae929afdb26d12838"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>NamespaceAndName</code> to send to the <code>ContextManager</code>.  <a href="#a1414b3f5094d108ae929afdb26d12838">More...</a><br /></td></tr>
<tr class="separator:a1414b3f5094d108ae929afdb26d12838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57ff5e281bd147e6e8eb0c60a0070b2f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a57ff5e281bd147e6e8eb0c60a0070b2f">PAYLOAD_TEST</a></td></tr>
<tr class="memdesc:a57ff5e281bd147e6e8eb0c60a0070b2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">A payload for testing.  <a href="#a57ff5e281bd147e6e8eb0c60a0070b2f">More...</a><br /></td></tr>
<tr class="separator:a57ff5e281bd147e6e8eb0c60a0070b2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9efde3e9b21b5348c81fb1f08d8a79eb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9efde3e9b21b5348c81fb1f08d8a79eb">PLAYING_STATE</a> {&quot;PLAYING&quot;}</td></tr>
<tr class="memdesc:a9efde3e9b21b5348c81fb1f08d8a79eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>PLAYING</code> state of the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code>.  <a href="#a9efde3e9b21b5348c81fb1f08d8a79eb">More...</a><br /></td></tr>
<tr class="separator:a9efde3e9b21b5348c81fb1f08d8a79eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d2dfdea95061b20d9fcc66f13833c9d"><td class="memItemLeft" align="right" valign="top">static const long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a0d2dfdea95061b20d9fcc66f13833c9d">OFFSET_IN_MILLISECONDS_TEST</a> {100}</td></tr>
<tr class="memdesc:a0d2dfdea95061b20d9fcc66f13833c9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offset in milliseconds returned by the mock media player.  <a href="#a0d2dfdea95061b20d9fcc66f13833c9d">More...</a><br /></td></tr>
<tr class="separator:a0d2dfdea95061b20d9fcc66f13833c9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10122384d6819b1d6cdf8c64f6dd9996"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a10122384d6819b1d6cdf8c64f6dd9996">OFFSET_IN_CHRONO_MILLISECONDS_TEST</a> {100}</td></tr>
<tr class="memdesc:a10122384d6819b1d6cdf8c64f6dd9996"><td class="mdescLeft">&#160;</td><td class="mdescRight">An std::chrono::milliseconds representation of the offset.  <a href="#a10122384d6819b1d6cdf8c64f6dd9996">More...</a><br /></td></tr>
<tr class="separator:a10122384d6819b1d6cdf8c64f6dd9996"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ec2cf9d4a6fdb129f9da19eb220d28c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a2ec2cf9d4a6fdb129f9da19eb220d28c">PLAYING_STATE_TEST</a></td></tr>
<tr class="memdesc:a2ec2cf9d4a6fdb129f9da19eb220d28c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The expected state when the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> is in <code>PLAYING</code> state.  <a href="#a2ec2cf9d4a6fdb129f9da19eb220d28c">More...</a><br /></td></tr>
<tr class="separator:a2ec2cf9d4a6fdb129f9da19eb220d28c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a931fdd8845b7feb0d59a0e1766199eeb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a931fdd8845b7feb0d59a0e1766199eeb">FINISHED_STATE_TEST</a></td></tr>
<tr class="memdesc:a931fdd8845b7feb0d59a0e1766199eeb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The expected state when the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> is in <code>FINISHED</code> state.  <a href="#a931fdd8845b7feb0d59a0e1766199eeb">More...</a><br /></td></tr>
<tr class="separator:a931fdd8845b7feb0d59a0e1766199eeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abff1024405730cf3e933ae2793959c96"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#abff1024405730cf3e933ae2793959c96">IDLE_STATE_TEST</a></td></tr>
<tr class="memdesc:abff1024405730cf3e933ae2793959c96"><td class="mdescLeft">&#160;</td><td class="mdescRight">The expected state when the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> is not handling any directive.  <a href="#abff1024405730cf3e933ae2793959c96">More...</a><br /></td></tr>
<tr class="separator:abff1024405730cf3e933ae2793959c96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7bbfb67f8af8b90bf83dfde87ae2743"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#aa7bbfb67f8af8b90bf83dfde87ae2743">PROVIDE_STATE_TOKEN_TEST</a> {1}</td></tr>
<tr class="memdesc:aa7bbfb67f8af8b90bf83dfde87ae2743"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provide State Token for testing.  <a href="#aa7bbfb67f8af8b90bf83dfde87ae2743">More...</a><br /></td></tr>
<tr class="separator:aa7bbfb67f8af8b90bf83dfde87ae2743"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a7f786e4fc5733e5c073fd399eab06b4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f786e4fc5733e5c073fd399eab06b4b">&#9670;&nbsp;</a></span>CHANNEL_NAME()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::CHANNEL_NAME </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#ad394dd6b26126ab84a82a1ef864f8ddf">avsCommon::sdkInterfaces::FocusManagerInterface::DIALOG_CHANNEL_NAME</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The name of the <code>FocusManager</code> channel used by the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code>. </p>

</div>
</div>
<a id="aca17bc25ce7a0af9079a5538d89ff08b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca17bc25ce7a0af9079a5538d89ff08b">&#9670;&nbsp;</a></span>CONTEXT_ID_TEST()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::CONTEXT_ID_TEST </td>
          <td>(</td>
          <td class="paramtype">&quot;ContextId_Test&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Context ID for testing. </p>

</div>
</div>
<a id="a75b78471f3c184e1f68d7d6f04442423"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75b78471f3c184e1f68d7d6f04442423">&#9670;&nbsp;</a></span>CONTEXT_ID_TEST_2()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::CONTEXT_ID_TEST_2 </td>
          <td>(</td>
          <td class="paramtype">&quot;ContextId_Test_2&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Context ID for testing. </p>

</div>
</div>
<a id="a75b4dfb1c1df228ccb3f90bc49c3981c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75b4dfb1c1df228ccb3f90bc49c3981c">&#9670;&nbsp;</a></span>DIALOG_REQUEST_ID_TEST()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::DIALOG_REQUEST_ID_TEST </td>
          <td>(</td>
          <td class="paramtype">&quot;DialogRequestId_Test&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>DialogRequestId for testing. </p>

</div>
</div>
<a id="a3c7a8ba186995f3e5d4475e6dca4d881"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c7a8ba186995f3e5d4475e6dca4d881">&#9670;&nbsp;</a></span>FINISHED_STATE()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::FINISHED_STATE </td>
          <td>(</td>
          <td class="paramtype">&quot;FINISHED&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>FINISHED</code> state of the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code>. </p>

</div>
</div>
<a id="ab35ceb58258872f3a64cec4ad58486eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab35ceb58258872f3a64cec4ad58486eb">&#9670;&nbsp;</a></span>FORMAT_TEST()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::FORMAT_TEST </td>
          <td>(</td>
          <td class="paramtype">&quot;AUDIO_MPEG&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Format of the audio. </p>

</div>
</div>
<a id="a4306539df699d5c39d20a9a7535e601f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4306539df699d5c39d20a9a7535e601f">&#9670;&nbsp;</a></span>MESSAGE_ID_TEST()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::MESSAGE_ID_TEST </td>
          <td>(</td>
          <td class="paramtype">&quot;MessageId_Test&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Message Id for testing. </p>

</div>
</div>
<a id="aca0defdb5af54f050d227057ee9753bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca0defdb5af54f050d227057ee9753bb">&#9670;&nbsp;</a></span>MESSAGE_ID_TEST_2()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::MESSAGE_ID_TEST_2 </td>
          <td>(</td>
          <td class="paramtype">&quot;MessageId_Test_2&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Message Id for testing. </p>

</div>
</div>
<a id="aae9cf2197f6e01cc69d5781c37b43ccc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae9cf2197f6e01cc69d5781c37b43ccc">&#9670;&nbsp;</a></span>NAME_RECOGNIZE()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::NAME_RECOGNIZE </td>
          <td>(</td>
          <td class="paramtype">&quot;Recognize&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Wrong name for testing. </p>

</div>
</div>
<a id="aaa8c3acb43d5abaa4caf35379f048522"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa8c3acb43d5abaa4caf35379f048522">&#9670;&nbsp;</a></span>NAME_SPEAK()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::NAME_SPEAK </td>
          <td>(</td>
          <td class="paramtype">&quot;Speak&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> directive. </p>

</div>
</div>
<a id="a9b24ffa4608d8364b1c28d525d848ffc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b24ffa4608d8364b1c28d525d848ffc">&#9670;&nbsp;</a></span>NAMESPACE_SPEECH_SYNTHESIZER()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::NAMESPACE_SPEECH_SYNTHESIZER </td>
          <td>(</td>
          <td class="paramtype">&quot;SpeechSynthesizer&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Namespace for <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a>. </p>

</div>
</div>
<a id="a9e1a0ab24e955016598f3a326b727191"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e1a0ab24e955016598f3a326b727191">&#9670;&nbsp;</a></span>STATE_CHANGE_TIMEOUT()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::chrono::milliseconds alexaClientSDK::capabilityAgents::speechSynthesizer::test::STATE_CHANGE_TIMEOUT </td>
          <td>(</td>
          <td class="paramtype">10000&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Time to wait for state change timeout. This should be set to be longer than STATE_CHANGE_TIMEOUT in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a>. </p>

</div>
</div>
<a id="a0c4aa7f6f05d10948623ffe6b32a529d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c4aa7f6f05d10948623ffe6b32a529d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_callingHandleImmediately&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test call to handleDirectiveImmediately. Expected result is that <code>acquireChannel</code> is called with the correct channel. On focus changed <code>FOREGROUND</code>, audio should play. Expect the <code>ContextManager</code> <code>setState</code> is called when state changes to <code>PLAYING</code>. </p>

</div>
</div>
<a id="aae635c458bfb2ee68440ad72e87d0e34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae635c458bfb2ee68440ad72e87d0e34">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_callingHandle&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests preHandleDirective and HandleDirective Call preHandle with a valid SPEAK directive. Then call handleDirective. Expected result is that <code>acquireChannel</code> is called with the correct channel. On focus changed <code>FOREGROUND</code>, audio should play. Expect the <code>ContextManager</code> <code>setState</code> is called when state changes to <code>PLAYING</code>. </p>

</div>
</div>
<a id="ac98a76b736962d46b414daac7c30afba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac98a76b736962d46b414daac7c30afba">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_callingCancel&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Tests cancelDirective. Call preHandle with a valid SPEAK directive. Then call cancelDirective. Expect that neither <code>setState</code> nor <code>sendMessage</code> are called since handle was never called to start playing audio. </p>

</div>
</div>
<a id="a3df8b34a70d305be684f22cb4f19e5e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3df8b34a70d305be684f22cb4f19e5e4">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_callingCancelAfterHandle&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing cancelDirective after calling Call preHandle with a valid SPEAK directive. Then call handleDirective. Expected result is that <code>acquireChannel</code> is called once. On Focus Changed to foreground, audio should play. Call cancel directive. Expect the <code>ContextManager</code> <code>setState</code> is called when the state changes to <code>PLAYING</code> and then to <code>FINISHED</code>. Expect <code>sendMessage</code> is called only once. On cancel, message should not be sent to AVS. </p>

</div>
</div>
<a id="adb2eafeb0675f2caff5da3d2cdbed44b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb2eafeb0675f2caff5da3d2cdbed44b">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_callingProvideStateWhenNotPlaying&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing provideState. Call <code>provideState</code> and expect that setState is called. </p>

</div>
</div>
<a id="a354478f832a3682d0f63407ebf6ab045"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a354478f832a3682d0f63407ebf6ab045">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_callingProvideStateWhenPlaying&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing provideState when playing. Call <code>provideState</code> after the state of the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> has changed to <code>PLAYING</code>. Expect <code>getOffset</code> is called. Expect <code>setState</code> is called when state changes and when state is requested via <code>provideState</code>. </p>

</div>
</div>
<a id="acbe78ce371e1ac080f0b07568671bb55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbe78ce371e1ac080f0b07568671bb55">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testTimer_bargeInWhilePlaying&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing barge-in via <code>handleDirectiveImmediately</code> when audio is playing back. Call <code>handleDirective</code>. Once playback started notification is received, call <code>handleDirectiveImmediately</code>. </p>

</div>
</div>
<a id="a3a11ec19dc01e742212f2246cd9096e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a11ec19dc01e742212f2246cd9096e3">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testTimer_notCallStopTwice&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> won't be calling stop() in <code>MediaPlayer</code> twice. Call preHandle with a valid SPEAK directive. Then call handleDirective. Expected result is that <code>acquireChannel</code> is called once. On Focus Changed to foreground, audio should play. Call cancel directive. Expect the stop() to be called once. Call onFocusChanged, expect the stop() to not be called again. Expect when handleDirectiveImmediately with a valid SPEAK directive is called, <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> will react correctly. </p>

</div>
</div>
<a id="aa96e79fb312404f71a27fc55504b4f3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa96e79fb312404f71a27fc55504b4f3a">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_callingCancelBeforeOnFocusChanged&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing executeCancel() completes execution before onFocusChanged() is called. </p>

</div>
</div>
<a id="a4fc48c05285a52ec94389bb8fb35c63a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fc48c05285a52ec94389bb8fb35c63a">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[10/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_callingCancelBeforeOnExecuteStateChanged&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing executeCancel() completes execution before executeStateChange() is called. </p>

</div>
</div>
<a id="a6c19600fab572e161c6d2b4e0004e9cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c19600fab572e161c6d2b4e0004e9cb">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[11/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_mediaPlayerFailedToStop&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> will continue to function properly if stop() in <code>MediaPlayer</code> returned with an error. Call preHandle with a valid SPEAK directive. Then call handleDirective. Expected result is that <code>acquireChannel</code> is called once. On Focus Changed to foreground, audio should play. Call cancel directive. Expect the stop() to be called once, and we force MediaPlayer to return an error. Expect when handleDirectiveImmediately with a valid SPEAK directive is called, <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> will react correctly. </p>

</div>
</div>
<a id="a666d7e52d4090654fe2fbbffe23a170c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a666d7e52d4090654fe2fbbffe23a170c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[12/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_mediaPlayerAlwaysFailToStop&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> shutdown when speech is playing and <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a422503c5051d68fdab1485b74c0c33a1">MediaPlayerInterface.stop()</a></code> fails (ACSDK-1859).</p>
<p class="">Expected result is that shutdown should succeeded no matter the <code>stop</code> return. </p>

</div>
</div>
<a id="a6277735b8cd52306b054ebaa82784041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6277735b8cd52306b054ebaa82784041">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[13/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_setStateTimeout&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> will call stop() if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> experienced a state change timeout to PLAYING state. </p>

</div>
</div>
<a id="a253e875d823b749721331ebb146837f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a253e875d823b749721331ebb146837f2">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[14/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_givenPlayingStateFocusBecomesNone&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing changing focus state to NONE (local stop) during a speak. Expect <code>setFailed</code> to be called so any subsequent directives with the same dialogRequestId will be dropped. </p>

</div>
</div>
<a id="a30a06563833c31e236f99e9037d03e21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30a06563833c31e236f99e9037d03e21">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[15/15]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_speech_synthesizer_test.html">SpeechSynthesizerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onPlayedStopped&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Testing <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> will call setFailed() if the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a> got a onPlaybackStopped() callback while it is in PLAYING state. </p>

</div>
</div>
<a id="ad6994ffd5a70c55af342188de386f00a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6994ffd5a70c55af342188de386f00a">&#9670;&nbsp;</a></span>TOKEN_TEST()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::TOKEN_TEST </td>
          <td>(</td>
          <td class="paramtype">&quot;Token_Test&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Token for testing. </p>

</div>
</div>
<a id="a8783f6c7b8764d80e17151fa78742b43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8783f6c7b8764d80e17151fa78742b43">&#9670;&nbsp;</a></span>URL_TEST()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::URL_TEST </td>
          <td>(</td>
          <td class="paramtype">&quot;cid:Test&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>URL for testing. </p>

</div>
</div>
<a id="a8b4516c2f4f5bf87ac928c79553f3986"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b4516c2f4f5bf87ac928c79553f3986">&#9670;&nbsp;</a></span>WAIT_TIMEOUT()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::chrono::milliseconds alexaClientSDK::capabilityAgents::speechSynthesizer::test::WAIT_TIMEOUT </td>
          <td>(</td>
          <td class="paramtype">1000&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Plenty of time for a test to complete. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a931fdd8845b7feb0d59a0e1766199eeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a931fdd8845b7feb0d59a0e1766199eeb">&#9670;&nbsp;</a></span>FINISHED_STATE_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::FINISHED_STATE_TEST</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ad6994ffd5a70c55af342188de386f00a">TOKEN_TEST</a> + <span class="stringliteral">&quot;\&quot;,&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:&quot;</span> + std::to_string(0) + <span class="stringliteral">&quot;,&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3c7a8ba186995f3e5d4475e6dca4d881">FINISHED_STATE</a> + <span class="stringliteral">&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_ad6994ffd5a70c55af342188de386f00a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ad6994ffd5a70c55af342188de386f00a">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TOKEN_TEST</a></div><div class="ttdeci">static const std::string TOKEN_TEST(&quot;Token_Test&quot;)</div><div class="ttdoc">Token for testing. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_a3c7a8ba186995f3e5d4475e6dca4d881"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3c7a8ba186995f3e5d4475e6dca4d881">alexaClientSDK::capabilityAgents::speechSynthesizer::test::FINISHED_STATE</a></div><div class="ttdeci">static const std::string FINISHED_STATE(&quot;FINISHED&quot;)</div><div class="ttdoc">The FINISHED state of the SpeechSynthesizer. </div></div>
</div><!-- fragment -->
<p>The expected state when the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> is in <code>FINISHED</code> state. </p>

</div>
</div>
<a id="abff1024405730cf3e933ae2793959c96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abff1024405730cf3e933ae2793959c96">&#9670;&nbsp;</a></span>IDLE_STATE_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::IDLE_STATE_TEST</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;\&quot;,&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:&quot;</span> + std::to_string(0) + <span class="stringliteral">&quot;,&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3c7a8ba186995f3e5d4475e6dca4d881">FINISHED_STATE</a> + <span class="stringliteral">&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_a3c7a8ba186995f3e5d4475e6dca4d881"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a3c7a8ba186995f3e5d4475e6dca4d881">alexaClientSDK::capabilityAgents::speechSynthesizer::test::FINISHED_STATE</a></div><div class="ttdeci">static const std::string FINISHED_STATE(&quot;FINISHED&quot;)</div><div class="ttdoc">The FINISHED state of the SpeechSynthesizer. </div></div>
</div><!-- fragment -->
<p>The expected state when the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> is not handling any directive. </p>

</div>
</div>
<a id="a1414b3f5094d108ae929afdb26d12838"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1414b3f5094d108ae929afdb26d12838">&#9670;&nbsp;</a></span>NAMESPACE_AND_NAME_SPEECH_STATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::speechSynthesizer::test::NAMESPACE_AND_NAME_SPEECH_STATE {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9b24ffa4608d8364b1c28d525d848ffc">NAMESPACE_SPEECH_SYNTHESIZER</a>, &quot;SpeechState&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>NamespaceAndName</code> to send to the <code>ContextManager</code>. </p>

</div>
</div>
<a id="a10122384d6819b1d6cdf8c64f6dd9996"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10122384d6819b1d6cdf8c64f6dd9996">&#9670;&nbsp;</a></span>OFFSET_IN_CHRONO_MILLISECONDS_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::capabilityAgents::speechSynthesizer::test::OFFSET_IN_CHRONO_MILLISECONDS_TEST {100}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>An std::chrono::milliseconds representation of the offset. </p>

</div>
</div>
<a id="a0d2dfdea95061b20d9fcc66f13833c9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d2dfdea95061b20d9fcc66f13833c9d">&#9670;&nbsp;</a></span>OFFSET_IN_MILLISECONDS_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const long alexaClientSDK::capabilityAgents::speechSynthesizer::test::OFFSET_IN_MILLISECONDS_TEST {100}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The offset in milliseconds returned by the mock media player. </p>

</div>
</div>
<a id="a57ff5e281bd147e6e8eb0c60a0070b2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57ff5e281bd147e6e8eb0c60a0070b2f">&#9670;&nbsp;</a></span>PAYLOAD_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::PAYLOAD_TEST</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">        <span class="stringliteral">&quot;{&quot;</span></div><div class="line">            <span class="stringliteral">&quot;\&quot;url\&quot;:\&quot;&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a8783f6c7b8764d80e17151fa78742b43">URL_TEST</a> + <span class="stringliteral">&quot;\&quot;,&quot;</span></div><div class="line">            <span class="stringliteral">&quot;\&quot;format\&quot;:\&quot;&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ab35ceb58258872f3a64cec4ad58486eb">FORMAT_TEST</a> + <span class="stringliteral">&quot;\&quot;,&quot;</span></div><div class="line">            <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;&quot;</span>+ <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ad6994ffd5a70c55af342188de386f00a">TOKEN_TEST</a> + <span class="stringliteral">&quot;\&quot;&quot;</span></div><div class="line">        <span class="stringliteral">&quot;}&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_ad6994ffd5a70c55af342188de386f00a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ad6994ffd5a70c55af342188de386f00a">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TOKEN_TEST</a></div><div class="ttdeci">static const std::string TOKEN_TEST(&quot;Token_Test&quot;)</div><div class="ttdoc">Token for testing. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_ab35ceb58258872f3a64cec4ad58486eb"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ab35ceb58258872f3a64cec4ad58486eb">alexaClientSDK::capabilityAgents::speechSynthesizer::test::FORMAT_TEST</a></div><div class="ttdeci">static const std::string FORMAT_TEST(&quot;AUDIO_MPEG&quot;)</div><div class="ttdoc">Format of the audio. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_a8783f6c7b8764d80e17151fa78742b43"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a8783f6c7b8764d80e17151fa78742b43">alexaClientSDK::capabilityAgents::speechSynthesizer::test::URL_TEST</a></div><div class="ttdeci">static const std::string URL_TEST(&quot;cid:Test&quot;)</div><div class="ttdoc">URL for testing. </div></div>
</div><!-- fragment -->
<p>A payload for testing. </p>

</div>
</div>
<a id="a9efde3e9b21b5348c81fb1f08d8a79eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9efde3e9b21b5348c81fb1f08d8a79eb">&#9670;&nbsp;</a></span>PLAYING_STATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::PLAYING_STATE {&quot;PLAYING&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>PLAYING</code> state of the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code>. </p>

</div>
</div>
<a id="a2ec2cf9d4a6fdb129f9da19eb220d28c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ec2cf9d4a6fdb129f9da19eb220d28c">&#9670;&nbsp;</a></span>PLAYING_STATE_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::speechSynthesizer::test::PLAYING_STATE_TEST</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;token\&quot;:\&quot;&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ad6994ffd5a70c55af342188de386f00a">TOKEN_TEST</a> + <span class="stringliteral">&quot;\&quot;,&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;offsetInMilliseconds\&quot;:&quot;</span> + std::to_string(<a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a0d2dfdea95061b20d9fcc66f13833c9d">OFFSET_IN_MILLISECONDS_TEST</a>) + <span class="stringliteral">&quot;,&quot;</span></div><div class="line">        <span class="stringliteral">&quot;\&quot;playerActivity\&quot;:\&quot;&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9efde3e9b21b5348c81fb1f08d8a79eb">PLAYING_STATE</a> + <span class="stringliteral">&quot;\&quot;&quot;</span></div><div class="line">    <span class="stringliteral">&quot;}&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_ad6994ffd5a70c55af342188de386f00a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#ad6994ffd5a70c55af342188de386f00a">alexaClientSDK::capabilityAgents::speechSynthesizer::test::TOKEN_TEST</a></div><div class="ttdeci">static const std::string TOKEN_TEST(&quot;Token_Test&quot;)</div><div class="ttdoc">Token for testing. </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_a9efde3e9b21b5348c81fb1f08d8a79eb"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9efde3e9b21b5348c81fb1f08d8a79eb">alexaClientSDK::capabilityAgents::speechSynthesizer::test::PLAYING_STATE</a></div><div class="ttdeci">static const std::string PLAYING_STATE</div><div class="ttdoc">The PLAYING state of the SpeechSynthesizer. </div><div class="ttdef"><b>Definition:</b> SpeechSynthesizerTest.cpp:110</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_html_a0d2dfdea95061b20d9fcc66f13833c9d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a0d2dfdea95061b20d9fcc66f13833c9d">alexaClientSDK::capabilityAgents::speechSynthesizer::test::OFFSET_IN_MILLISECONDS_TEST</a></div><div class="ttdeci">static const long OFFSET_IN_MILLISECONDS_TEST</div><div class="ttdoc">The offset in milliseconds returned by the mock media player. </div><div class="ttdef"><b>Definition:</b> SpeechSynthesizerTest.cpp:113</div></div>
</div><!-- fragment -->
<p>The expected state when the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html">SpeechSynthesizer</a></code> is in <code>PLAYING</code> state. </p>

</div>
</div>
<a id="aa7bbfb67f8af8b90bf83dfde87ae2743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7bbfb67f8af8b90bf83dfde87ae2743">&#9670;&nbsp;</a></span>PROVIDE_STATE_TOKEN_TEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned int alexaClientSDK::capabilityAgents::speechSynthesizer::test::PROVIDE_STATE_TOKEN_TEST {1}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provide State Token for testing. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
